<?php
/**
* 入力フォーム生成タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ShowFormTask extends FormTask implements ITask
{
	public $form;

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{

		$form = $this->getForm( s('entry_form') );

		// サンプルデータ
		$dto = new DTO();

		$dto->first_name = 'ちゃこ';
		$dto->account = 'charcoal';
		$dto->password = 'charcoal';
		$dto->opinion = 'ご意見をどうぞ！';

		// フォームにDTOを入力
		$form->inputDTO( $dto );

		// HTMLオブジェクトに変換
		$this->form = $form->toHTMLObject();

		return b(TRUE);
	}

}
